GuildCheck

37 - GuildCheck fails as only addon enabled

What steps will reproduce the problem?
1. Enable Lua errors in Warcraft
2. Logout
3. Install GuildCheck va CurseClient
4. Disable all addons except GuildCheck
5. Log in to a character

What is the expected output? What do you see instead?
Lua errors appear. Addon appears to remain non-functional

What version of the product are you using?
2.4.2

Do you have an error log of what happened?
Message: ...-3.0\AceConfigRegistry-3.0\AceConfigRegistry-3.0.lua:19 Cannot find a library instance of "CallbackHandler-1.0".
Time: Tue Jan 15 19:33:23 2013
Count: 1
Stack: [C]: in function `error'
Interface\AddOns\GuildCheck\libs\LibStub\LibStub.lua:38 in function `GetLibrary'
...-3.0\AceConfigRegistry-3.0\AceConfigRegistry-3.0.lua:19 in main chunk

Locals: (*temporary) = "Cannot find a library instance of "CallbackHandler-1.0"."

Please provide any additional information below.

> There appears to be no line for CallbackHandler-1.0 in GuildCheck's embed.xml file.
> Fixing that line. The path for LibDBIcon-1.0 in embed.xml is also broken
> GuildCheck.tga the icon for GuildCheck is missing
> GuildCheck.toc lists interface version ## Interface: 40300
> Ace3 libraries appear to be out of date
  Opening up the the add-on  preference panel generates the error ...libs\Ace3\AceGUI-3.0\widgets\AceGUIWidget-Button.lua:66 CreateFrame(): Couldn't find inherited node "UIPanelButtonTemplate2"
  (This latter is a common Mists issue, so should be fixed in more recent Ace3 library packages)

User When Change
Jaxomuk Jan 12, 2014 at 15:43 UTC Changed status from New to Fixed
Brefin Jan 16, 2013 at 00:52 UTC Create

You must login to post a comment. Don't have an account? Register to get one!

  • 3 comments
  • Avatar of zacpack zacpack Jan 31, 2013 at 07:56 UTC - 0 likes

    Thanks Brefin, that seemed to work for me.

  • Avatar of Brefin Brefin Jan 21, 2013 at 13:07 UTC - 0 likes

    2.4.3 does fix a lot of the little issues. I still had to fix embed.xml though to get this to load appropriately without complaining about CallbackHandler or LIBDBIcon

    *** /Users/brefin/Downloads/GuildCheck 2/embeds.xml	2012-03-20 13:45:42.000000000 -0400
    --- /Applications/World of Warcraft/Interface/AddOns/GuildCheck/embeds.xml	2013-01-21 07:52:01.000000000 -0500
    ***************
    *** 3,8 ****
    --- 3,9 ----
      ..\FrameXML\UI.xsd">
      	<!--@no-lib-strip@-->
      	<Script file="libs\LibStub\LibStub.lua"/>
    + 	<Include file="libs\CallbackHandler-1.0\CallbackHandler-1.0.xml"/>
          <Include file="libs\ChatThrottleLib\ChatThrottleLib.xml"/>
      	<Include file="libs\Ace3\AceAddon-3.0\AceAddon-3.0.xml"/>
      	<Include file="libs\Ace3\AceGUI-3.0\AceGUI-3.0.xml"/>
    ***************
    *** 16,21 ****
      	
      	<Include file="libs\LibGuild-1.0\LibGuild-1.0\lib.xml"/>
          <Script file="libs\LibDataBroker-1.1\LibDataBroker-1.1.lua"/>
    !     <Script file="libs\LibDBIcon-1.0\LibDBIcon-1.0.lua"/>
      	<!--@end-no-lib-strip@-->
      </Ui>
    \ No newline at end of file
    --- 17,22 ----
      	
      	<Include file="libs\LibGuild-1.0\LibGuild-1.0\lib.xml"/>
          <Script file="libs\LibDataBroker-1.1\LibDataBroker-1.1.lua"/>
    ! 	<Script file="libs\LibDBIcon-1.0\LibDBIcon-1.0\LibDBIcon-1.0.lua"/>-->
      	<!--@end-no-lib-strip@-->
      </Ui>
    \ No newline at end of file
    
  • Avatar of zacpack zacpack Jan 17, 2013 at 21:47 UTC - 0 likes

    I'm getting the same error message.

    Jaxomuk, I removed my old ticket, as the above is the error message Wow presents when I load. I have to select "load outdated addons" for it to work also.

  • 3 comments

Facts

Last updated
Jan 12, 2014
Reported
Jan 16, 2013
Status
Fixed - Developer made requested changes. QA should verify.
Type
Defect - A shortcoming, fault, or imperfection
Priority
Medium - Normal priority.
Votes
0

Reported by

Possible assignees